---
title: VideoTrackList.selectedIndex
slug: Web/API/VideoTrackList/selectedIndex
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - VideoTrackList
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("VideoTrackList")}}</strong> property <code><strong>selectedIndex</strong></code> returns the index of the currently selected track, if any, or <code>-1</code> otherwise.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>index</em> = <em>VideoTrackList</em>.selectedIndex;</pre>

<h3 id="Value">Value</h3>

<p>A number indicating the index of the currently selected track, if any, or <code>-1</code> otherwise.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotracklist-selectedindex', 'VideoTrackList: selectedIndex')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrackList.selectedIndex")}}</p>
